org.ajax4jsf.taglib.html.jsp

## Class AjaxSupport

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.taglib.html.jsp.AjaxSupportTag
            - - org.ajax4jsf.taglib.html.jsp.AjaxSupport

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class AjaxSupport
      extends AjaxSupportTag

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.taglib.html.jsp.AjaxSupportTag

      `AJAX_SUPPORT_FACET`

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setDisabled(javax.el.ValueExpression __disabled)` If "true", disable this component on page.
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOnsubmit(javax.el.ValueExpression __onsubmit)` JavaScript code for call before submission of ajax event Setter for onsubmit
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Timeout (in ms) for request Setter for timeout

    - ### Methods inherited from class org.ajax4jsf.taglib.html.jsp.AjaxSupportTag

      `getFacetName, setAction, setActionListener, setAjaxSingle, setDisableDefault, setEvent, setImmediate, setLimitToList, setOncomplete, setParentProperties, setReRender, setStatus, setValue`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### AjaxSupport

          public AjaxSupport()

  - ### Method Detail

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression __disabled)

      If "true", disable this component on page. Setter for disabled
      Parameters:
        `disabled` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOnsubmit

          public void setOnsubmit(javax.el.ValueExpression __onsubmit)

      JavaScript code for call before submission of ajax event Setter for onsubmit
      Parameters:
        `onsubmit` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Timeout (in ms) for request Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `AjaxSupportTag`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `AjaxSupportTag`

    - #### getComponentType

          public java.lang.String getComponentType()

      Overrides:
        `getComponentType` in class `AjaxSupportTag`

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `AjaxSupportTag`

Copyright © 2014. All Rights Reserved.